Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0029461
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[Openbravo ERP] 07. Sales managementminorhave not tried2015-03-23 12:332015-04-08 13:19
ReporterSandrahuguetView Statuspublic 
Assigned Tojorge-garcia 
PriorityimmediateResolutionfixedFixed in Version3.0PR15Q1.3
StatusclosedFix in branchFixed in SCM revisione953c48d16db
ProjectionnoneETAnoneTarget Version3.0PR15Q1.3
OSLinux 32 bitDatabasePostgreSQLJava version1.6.0_18
OS VersionCommunity ApplianceDatabase version8.3.9Ant version1.7.1
Product VersionSCM revision 
Review Assigned Toumartirena
Web browser
ModulesCore
Regression levelProduction - Confirmed Stable
Regression date2014-04-07
Regression introduced in release3.0PR14Q3
Regression introduced by commithttps://code.openbravo.com/erp/devel/pi/rev/e3ae82ec9ee35e6e4bb728a1c2d7975b5572683f [^]
Triggers an Emergency PackNo
Summary

0029461: It is possible to create a payment header when a payment method is disabled in a given financial account

DescriptionIt is possible to create a payment header when a payment method is disabled in a given financial account
Steps To ReproduceGo to Finacial Account
 -Select 'Cuenta de Banco'
Navigate to Payment Method
 -Select 'Transferencia' and set Active='N'
Go to Payment In, and create a new header:
 -Organization: F&B España - Región Sur
 -Received From: Alimentos y Supermercados, S.A
 -Payment Method: Transferencia
 -Deposit To: Cuenta de Banco
Notice that 'Cuenta de Banco' is available and that payment can be saved
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 0029368 closedjorge-garcia It is possible to create a payment header when a payment method is disabled in a given financial account 

-  Notes
(0076378)
hgbot (developer)
2015-04-08 13:04

Repository: erp/backports/3.0PR15Q1.3
Changeset: e953c48d16db029503dd0e053325d47920d03881
Author: Jorge Garcia <jorge.garcia <at> openbravo.com>
Date: Wed Apr 08 10:51:35 2015 +0200
URL: http://code.openbravo.com/erp/backports/3.0PR15Q1.3/rev/e953c48d16db029503dd0e053325d47920d03881 [^]

Fixed issue 29461: It is possible to create a payment in/out

It is possible to create a payment header when a payment method or a financial
account is disabled in a given financial account.

Now only active payment methods of financial accounts and active financial
accounts are showing in the payment in / payment out window.

In addition, if the user selects a business partner in these windows and the
default payment method and/or the default financial account is/are inactive,
a warning message is shown to the user, indicating which one is inactive.

These warning messages are also included in the fix.

---
M src-db/database/sourcedata/AD_MESSAGE.xml
M src-db/database/sourcedata/AD_VAL_RULE.xml
M src/org/openbravo/erpCommon/ad_callouts/SE_Payment_BPartner.java
---
(0076381)
umartirena (developer)
2015-04-08 13:19

Code Review + Testing OK

- Issue History
Date Modified Username Field Change
2015-03-30 17:51 jorge-garcia Type defect => backport
2015-03-30 17:51 jorge-garcia Target Version => 3.0PR15Q1.3
2015-04-08 13:04 hgbot Checkin
2015-04-08 13:04 hgbot Note Added: 0076378
2015-04-08 13:04 hgbot Status scheduled => resolved
2015-04-08 13:04 hgbot Resolution open => fixed
2015-04-08 13:04 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/backports/3.0PR15Q1.3/rev/e953c48d16db029503dd0e053325d47920d03881 [^]
2015-04-08 13:19 umartirena Review Assigned To => umartirena
2015-04-08 13:19 umartirena Note Added: 0076381
2015-04-08 13:19 umartirena Status resolved => closed
2015-04-08 13:19 umartirena Fixed in Version => 3.0PR15Q1.3


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker